#### HEADER ================================================================
#
# [PURPOSE]
# Prepare some comparison tables
#
# [AUTHOR]
# Henning Schmidt

## Preliminaries ====

rm(list = ls())
library(IQRtools)
IQRinitCompliance("SCRIPT_40_Comparison_Tables.R")

# -------------------------------------------------------------------------#
# All executed models
# -------------------------------------------------------------------------#

# Ordered by appearance
pM <- as_IQRnlmeProjectMulti("../Models/",FLAGrecursive = TRUE)
names(pM) <- gsub("../Models//","",names(pM))
summary(pM,pathname = "../Output/40_Comparison_Tables/01_all_executed_models")

# Ordered by BIC
summary(pM,pathname = "../Output/40_Comparison_Tables/02_all_executed_models_BIC",order = "BIC")

