list(type = "MONOLIX", method = "SAEM", path = ".", parameters = list(
    MONOLIXversion = "5.1.0", names = c(ka = "ka", CL = "CL", 
    Vc = "Vc", "omega(ka)" = "omega(ka)", "omega(CL)" = "omega(CL)", 
    "omega(Vc)" = "omega(Vc)", error_ADD1 = "error_ADD1"), values = c(ka = 1.5885926, 
    CL = 3.4862046, Vc = 40.182979, "omega(ka)" = 0.6343032, 
    "omega(CL)" = 0.2710436, "omega(Vc)" = 0.1481574, error_ADD1 = 0.7381333
    ), stderrors = c(ka = 0.30848629, CL = 0.30079351, Vc = 2.00365652, 
    "omega(ka)" = 0.14298381, "omega(CL)" = 0.06614303, "omega(Vc)" = 0.03979214, 
    error_ADD1 = 0.05663975), rse = c(ka = 19.418842, CL = 8.628108, 
    Vc = 4.986331, "omega(ka)" = 22.541871, "omega(CL)" = 24.403094, 
    "omega(Vc)" = 26.858009, error_ADD1 = 7.673377), FLAGestimated = c(ka = 1, 
    CL = 1, Vc = 1, "omega(ka)" = 1, "omega(CL)" = 1, "omega(Vc)" = 1, 
    error_ADD1 = 1), correlationmatrix = structure(c(1, -0.061797, 
    0.12413, 0, 0, 0, 0, -0.061797, 1, -0.12593, 0, 0, 0, 0, 
    0.12413, -0.12593, 1, 0, 0, 0, 0, 0, 0, 0, 1, -0.00045714, 
    -0.012314, -0.028795, 0, 0, 0, -0.00045714, 1, -0.010897, 
    -0.054411, 0, 0, 0, -0.012314, -0.010897, 1, -0.075965, 0, 
    0, 0, -0.028795, -0.054411, -0.075965, 1), .Dim = c(7L, 7L
    ), .Dimnames = list(c(ka = "ka", CL = "CL", Vc = "Vc", "omega(ka)" = "omega(ka)", 
    "omega(CL)" = "omega(CL)", "omega(Vc)" = "omega(Vc)", error_ADD1 = "error_ADD1"
    ), c(ka = "ka", CL = "CL", Vc = "Vc", "omega(ka)" = "omega(ka)", 
    "omega(CL)" = "omega(CL)", "omega(Vc)" = "omega(Vc)", error_ADD1 = "error_ADD1"
    ))), covariancematrix = structure(c(0.0951637911179641, -0.00573418527845757, 
    0.0767248232934673, 0, 0, 0, 0, -0.00573418527845757, 0.0904767356581201, 
    -0.0758963584817094, 0, 0, 0, 0, 0.0767248232934673, -0.0758963584817094, 
    4.01463945013851, 0, 0, 0, 0, 0, 0, 0, 0.0204443699221161, 
    -4.32334780603615e-06, -7.00621258036104e-05, -0.000233198244034226, 
    0, 0, 0, -4.32334780603615e-06, 0.0043749004175809, -2.86806066185184e-05, 
    -0.00020384127235079, 0, 0, 0, -7.00621258036104e-05, -2.86806066185184e-05, 
    0.0015834144057796, -0.000171211197888785, 0, 0, 0, -0.000233198244034226, 
    -0.00020384127235079, -0.000171211197888785, 0.0032080612800625
    ), .Dim = c(7L, 7L), .Dimnames = list(c(ka = "ka", CL = "CL", 
    Vc = "Vc", "omega(ka)" = "omega(ka)", "omega(CL)" = "omega(CL)", 
    "omega(Vc)" = "omega(Vc)", error_ADD1 = "error_ADD1"), c(ka = "ka", 
    CL = "CL", Vc = "Vc", "omega(ka)" = "omega(ka)", "omega(CL)" = "omega(CL)", 
    "omega(Vc)" = "omega(Vc)", error_ADD1 = "error_ADD1")))), 
    objectivefunction = list(OBJ = 346.223, AIC = 360.223, BIC = 363.617), 
    residualerrormodels = "abs", trans_randeffects = c("exp(phi)", 
    "exp(phi)", "exp(phi)"), inv_trans_randeffects = c("log(psi)", 
    "log(psi)", "log(psi)"), covariates = list(covNames = character(0), 
        covTransformation = structure(list(), .Names = character(0)), 
        catNames = character(0), catReference = structure(list(), .Names = character(0)), 
        catCategories = structure(list(), .Names = character(0))), 
    PROJECTINFO = list(COMMENT = c("MONOLIX - no lag time", "add error", 
    "no covariates"), TOOL = "MONOLIX", TOOLVERSION = "MLX2019R1", 
        DATA = "./datadf.csv", DOSINGTYPES = "BOLUS", TK0NAMES = "NA", 
        COVNAMES = "WT0", CATNAMES = "SEX", CATCATEGORIES = "[0 1]", 
        REGRESSIONNAMES = "", OUTPUTS = "Cc", ERRORMODELS = "abs", 
        PARAMNAMES = c("ka", "CL", "Vc"), PARAMTRANS = c("exp(phi)", 
        "exp(phi)", "exp(phi)"), PARAMINVTRANS = c("log(psi)", 
        "log(psi)", "log(psi)"), COVARIATENAMES = c("WT0", "SEX"
        ), COVARIATESUSED = "", BETACOVNAMES = "", BETACOVTRANS = "", 
        BETACATNAMES = "", BETACATREFERENCE = ""), rawParameterInfo = list(
        fixedEffects = list(names = c(ka = "ka", CL = "CL", Vc = "Vc"
        ), values = c(ka = 1.5885926, CL = 3.4862046, Vc = 40.182979
        ), stderr = c(ka = 0.30848629, CL = 0.30079351, Vc = 2.00365652
        ), rse = c(ka = 19.418842, CL = 8.628108, Vc = 4.986331
        ), estimated = c(ka = 1, CL = 1, Vc = 1), distribution_info = c("log(psi)", 
        "log(psi)", "log(psi)")), randomEffects = list(names = c("omega(ka)" = "omega(ka)", 
        "omega(CL)" = "omega(CL)", "omega(Vc)" = "omega(Vc)"), 
            values = c("omega(ka)" = 0.6343032, "omega(CL)" = 0.2710436, 
            "omega(Vc)" = 0.1481574), stderr = c("omega(ka)" = 0.14298381, 
            "omega(CL)" = 0.06614303, "omega(Vc)" = 0.03979214
            ), rse = c("omega(ka)" = 22.541871, "omega(CL)" = 24.403094, 
            "omega(Vc)" = 26.858009), estimated = c("omega(ka)" = 1, 
            "omega(CL)" = 1, "omega(Vc)" = 1)), correlation = list(
            names = structure(character(0), .Names = character(0)), 
            values = structure(numeric(0), .Names = character(0)), 
            stderr = structure(numeric(0), .Names = character(0)), 
            rse = structure(numeric(0), .Names = character(0)), 
            estimated = structure(numeric(0), .Names = character(0))), 
        covariate = list(names = structure(character(0), .Names = character(0)), 
            values = structure(numeric(0), .Names = character(0)), 
            stderr = structure(numeric(0), .Names = character(0)), 
            rse = structure(numeric(0), .Names = character(0)), 
            estimated = structure(numeric(0), .Names = character(0))), 
        errorParameter = list(names = c(error_ADD1 = "error_ADD1"), 
            values = c(error_ADD1 = 0.7381333), stderr = c(error_ADD1 = 0.05663975), 
            rse = c(error_ADD1 = 7.673377), estimated = c(error_ADD1 = 1))))
