# Run all examples
library(IQRtools)

# Example 1
setwd("01_pkpd/example_neutropenia/")
aux_rmdir("MODEL_01/")
source("example_neutropenia.R")
setwd("../..")

# Example 2
setwd("02_tools/01_VPC_pcVPC/")
source("example_vpc_1.R")
source("example_vpc_2.R")
setwd("../..")

# Example 3
setwd("02_tools/02_bootstrap/")
aux_rmdir("Output/")
source("example_bootstrap.R")
setwd("../..")

# Example 4
setwd("02_tools/03_covariates/")
aux_rmdir("Models/")
source("example_covariates.R")
setwd("../..")

# Example 5
setwd("03_workflows/01_PopPK_Data2Report/")
aux_rmdir("Data")
aux_rmdir("Models")
aux_rmdir("Output")
setwd("Scripts")
source("SCRIPT_00_RUNALL.R")
setwd("..")
